require "colorize"
module GR
  class Run

    def initialize(cmd)
      @command = cmd
    end

    def cmd(path)
      `cd #{path} 2>&1 ; #{@command} > /dev/null 2>&1`
      code = $?
      return code.to_i
    end


    def go
      path = GR::Dirs.current
      puts "\nStarting in #{path}\n".colorize(:green)
      puts "Will run $(#{@command})\n".colorize(:green)
      dirs = GR::Dirs.listing(path)
      puts "Found #{dirs.size} git directories".colorize(:green)
      dirs.each do |dir|
        result = self.cmd("#{path}/#{dir}")
        if result == 0
          printf(GR::FORMAT_OK, "#{dir}", "\u2713")
        else
          printf(GR::FORMAT_FATAL, "#{dir}", "\u2620")
        end
      end

    end

  end
end